<?php
function sendIcalEvent($from_name, $from_address, $to_name, $to_address, $startTime, $endTime, $subject, $description, $location)
{
    $domain = 'exchangecore.com';

	date_default_timezone_set('Europe/Paris');
//	date_default_timezone_set('Europe/Bucharest');
	
    //Create Email Headers
    $mime_boundary = "----Meeting Booking----".MD5(TIME());

    $headers = "From: ".$from_name." <".$from_address.">\n";
    $headers .= "Reply-To: ".$from_name." <".$from_address.">\n";
    $headers .= "MIME-Version: 1.0\n";
    $headers .= "Content-Type: multipart/alternative; boundary=\"$mime_boundary\"\n";
    $headers .= "Content-class: urn:content-classes:calendarmessage\n";
    
    //Create Email Body (HTML)
    $message = "--$mime_boundary\r\n";
    $message .= "Content-Type: text/html; charset=UTF-8\n";
    $message .= "Content-Transfer-Encoding: 8bit\n\n";
    $message .= "<html>\n";
    $message .= "<body>\n";
    $message .= '<p>Dear '.$to_name.',</p>';
    $message .= '<p>'.$description.'</p>';
    $message .= "</body>\n";
    $message .= "</html>\n";
    $message .= "--$mime_boundary\r\n";

//	TZID:Europe/London
//TZURL:http://tzurl.org/zoneinfo-global/Europe/London
//X-LIC-LOCATION:Europe/London
	
    $ical = 'BEGIN:VCALENDAR' . "\r\n" .
    'PRODID:-//Microsoft Corporation//Outlook 10.0 MIMEDIR//EN' . "\r\n" .
    'VERSION:2.0' . "\r\n" .
    'METHOD:REQUEST' . "\r\n" .
    'BEGIN:VTIMEZONE' . "\r\n" .
    'TZID:Eastern Time' . "\r\n" .
    'BEGIN:STANDARD' . "\r\n" .
    'DTSTART:20091101T020000' . "\r\n" .
    'RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=1SU;BYMONTH=11' . "\r\n" .
    'TZOFFSETFROM:-0400' . "\r\n" .
    'TZOFFSETTO:-0500' . "\r\n" .
    'TZNAME:GMT' . "\r\n" .
    'END:STANDARD' . "\r\n" .
    'BEGIN:DAYLIGHT' . "\r\n" .
    'DTSTART:20090301T020000' . "\r\n" .
    'RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=2SU;BYMONTH=3' . "\r\n" .
    'TZOFFSETFROM:-0500' . "\r\n" .
    'TZOFFSETTO:-0400' . "\r\n" .
    'TZNAME:GMT' . "\r\n" .
    'END:DAYLIGHT' . "\r\n" .
    'END:VTIMEZONE' . "\r\n" .	
    'BEGIN:VEVENT' . "\r\n" .
    'ORGANIZER;CN="'.$from_name.'":MAILTO:'.$from_address. "\r\n" .
    'ATTENDEE;CN="'.$to_name.'";ROLE=REQ-PARTICIPANT;RSVP=TRUE:MAILTO:'.$to_address. "\r\n" .
    'LAST-MODIFIED:' . date("Ymd\TGis") . "\r\n" .
    'UID:'.date("Ymd\TGis", strtotime($startTime)).rand()."@".$domain."\r\n" .
    'DTSTAMP:'.date("Ymd\TGis"). "\r\n" .
    'DTSTART;TZID="Eastern Time":'.date("Ymd\THis", strtotime($startTime)). "\r\n" .
    'DTEND;TZID="Eastern Time":'.date("Ymd\THis", strtotime($endTime)). "\r\n" .
    'TRANSP:OPAQUE'. "\r\n" .
    'SEQUENCE:1'. "\r\n" .
    'SUMMARY:' . $subject . "\r\n" .
    'LOCATION:' . $location . "\r\n" .
    'CLASS:PUBLIC'. "\r\n" .
    'PRIORITY:5'. "\r\n" .
    'BEGIN:VALARM' . "\r\n" .
    'TRIGGER:-PT15M' . "\r\n" .
    'ACTION:DISPLAY' . "\r\n" .
    'DESCRIPTION:Reminder' . "\r\n" .
    'END:VALARM' . "\r\n" .
    'END:VEVENT'. "\r\n" .
    'END:VCALENDAR'. "\r\n";
    $message .= 'Content-Type: text/calendar;name="meeting.ics";method=REQUEST\n';
    $message .= "Content-Transfer-Encoding: 8bit\n\n";
    $message .= $ical;

    $mailsent = mail($to_address, $subject, $message, $headers);
	echo $mailsent;
	
    return ($mailsent)?(true):(false);
}


$from_name = "Administrateur";        
$from_address = "webmaster@example.com";        
$to_name = "Joseph";        
$to_address = "patrice.delpy@onsemi.com";    

// construire les dates
	$date = "07-11-2015";

	$pieces = explode("-",$date);
	$str_date = $pieces[1]."/".$pieces[0]."/".$pieces[2];
    echo $str_date;
	
	//$chaine = "13H 13H20";
	$heure = "13H20";
	
	if(mb_substr_count($heure, "H") == 2)
	{ // plusieurs creneau
		echo "plouf";
	}
	else
	{ // un seul creneau
		//$heure = "13H20";
		if(strlen($heure) == 5)
		{  	$pieces = explode("H",$heure);
			$heure_debut = $pieces[0].":".$pieces[1].":00";
			echo '<br>';
			echo $heure_debut;	
		}
	
		//$heure = "13H";
		if(strlen($heure) == 3)
		{	$heure_debut = substr($heure,0,-1).":00:00";
			echo '<br>';
			//echo $heure_debut;
		}
	
			$heure_fin = "";
	
			switch ($heure_debut)
			{
				case	"12:20:00":
						$heure_fin = "12:40:00";
						break;
				case	"12:40:00":
						$heure_fin = "13:00:00";
						break;
				case 	"13:00:00":
						$heure_fin = "13:20:00";
						break;
				case 	"13:20:00":
						$heure_fin = "13:40:00";
						break;	
				case	"13:40:00":
						$heure_fin = "14:00:00";
						break;
				case	"14:00:00":
						$heure_fin = "14:20:00";
						break;
				case 	"14:20:00":
						$heure_fin = "14:40:00";
						break;
				
			} 
		
			echo $heure_fin;
		
	}	
	
	
/*	$heure = "13H20";
	if(strlen($heure) == 5)
	{  $pieces = explode("H",$heure);
	   $str_heure = $pieces[0].":".$pieces[1].":00";
	   echo $str_heure;	
	}
	
	$heure = "13H";
	if(strlen($heure) == 3)
	{	
		$str_heure = substr($heure,0,-1).":00:00";
		 echo $str_heure;
	}*/
	

	//strtotime($startTime)
	
$startTime = "11/07/2015 13:00:00";        
$endTime = "11/07/2015 14:00:00";        
$subject = "Confirmation de votre réservation";        
$description = "blabla";        
$location = "Salle de repos";
sendIcalEvent($from_name, $from_address, $to_name, $to_address, $startTime, $endTime, $subject, $description, $location);